export interface ConferenceData {
  roomName: string; // the room name of the conference
  id: string; // the id of the local participant
  displayName: string; // the display name of the local participant
  avatarURL: string; // the avatar URL of the local participant
  breakoutRoom: boolean; // whether the current room is a breakout room
}

function videoConferenceJoinedListener(
  setConferenceData: (newData: ConferenceData) => void,
  videoConferenceJoinedEvent: ConferenceData
) {
  setConferenceData(videoConferenceJoinedEvent);
}

export { videoConferenceJoinedListener };
